Bug 11124 - umount.cifs is not usable
: umount.cifs is not usable
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/samba-client)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-16 19:18 by
Modified: 2007-04-19 12:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-16 19:18:19
В пакете samba-client-3.0.24-alt1 утилита umount.cifs расположена в каталоге
/usr/sbin, что не соответствует ожиданиям других программ (например, smb4k ищет
/sbin/umount.cifs, да и /bin/umount тоже). Кроме того, отсутствует способ
установки setuid root на umount.cifs, в результате невозможно нормально
работать
с cifs от пользователя (control cifsmount управляет только правами на
/usr/bin/cifsmount; получается, что пользователь может смонтировать файловую
систему, но затем не может её размонтировать).

Кстати, бинарник /usr/bin/cifsmount фактически продублирован в
/usr/sbin/mount.cifs - вероятно, стоит оставить только одну копию (например,
удалив ручную сборку cifsmount из spec-файла - сейчас mount.cifs и umount.cifs
собираются через основной Makefile).
------- Comment #1 From 2007-04-18 01:18:42 -------
my
------- Comment #2 From 2007-04-18 01:19:10 -------
Fixed in 3.0.24-alt2
------- Comment #3 From 2007-04-18 15:44:39 -------
*** Bug 11560 has been marked as a duplicate of this bug. ***
------- Comment #4 From 2007-04-18 15:45:48 -------
Reopen it as now we have #11560 as side-effect.
------- Comment #5 From 2007-04-18 17:19:04 -------
Видимо, не стоило класть smbumount в /sbin/umount.smbfs - эта программа не
понимает опции, передаваемые ей umount. У umount.cifs такой проблемы нет.

В принципе smbumount от пользователя работало и раньше, а использование umount
в
подобном случае не работает ни с smbfs, ни с cifs - у пользователя всё равно
нет
прав отмонтировать таким образом что-либо, для чего нет записи в fstab.
------- Comment #6 From 2007-04-18 17:23:26 -------
В том то и дело, что в fstab строчка монтирования прописана.
Только с параметрами user,noauto, т.к. не монтируется при загрузке.
А монтирование происходит при запуске KDE.
Значит получаем примонтировалось от юзера.
Выключаю комп - отмонтироваться не может.
Но и до перезагрузки отмонтирование от юзера не работает - только от рута.
------- Comment #7 From 2007-04-18 18:43:23 -------
(In reply to comment #6)
> В том то и дело, что в fstab строчка монтирования прописана.
> Только с параметрами user,noauto, т.к. не монтируется при загрузке.

А что именно там прописано - smbfs или cifs?

> А монтирование происходит при запуске KDE.
> Значит получаем примонтировалось от юзера.
> Выключаю комп - отмонтироваться не может.
> Но и до перезагрузки отмонтирование от юзера не работает - только от рута.

Для cifs вроде бы работает. Для smbfs umount действительно не проходит,
поскольку smbmount не пишет в mtab опцию user=<name>, в результате umount не
разрешает пользователю отмонтировать ФС. (На самом деле smbmount без указания
дополнительных опций создаёт в mtab синтаксически неверную запись - в поле для
опций монтирования попадает пустая строка.)

Явным вызовом smbumount можно отмонтировать и от юзера.

Впрочем, данный метод всё равно не идеален, поскольку даже при наличии записи в
fstab монтирование работает только в том случае, если каталог, используемый как
точка монтирования, принадлежит пользователю, вызывающему /bin/mount.
------- Comment #8 From 2007-04-18 18:47:31 -------
Fixed in 3.0.24-alt3.
------- Comment #9 From 2007-04-19 08:50:32 -------
(In reply to comment #7)
> (In reply to comment #6)
> > В том то и дело, что в fstab строчка монтирования прописана.
> > Только с параметрами user,noauto, т.к. не монтируется при загрузке.
> 
> А что именно там прописано - smbfs или cifs?

Именно smbfs. cifs ни когда не использовал.
------- Comment #10 From 2007-04-19 12:26:47 -------
(In reply to comment #9)
> Именно smbfs. cifs ни когда не использовал.

А придётся - хотя smbfs пока ещё и есть в ядре в каком-то виде, она фактически
не поддерживается.